Support » Plugin: Lightbox with PhotoSwipe » Fatal Error after last update on 13.06.2022

  • Resolved histameany

    (@histameany)


    Das Plugin kann nicht aktiviert werden, da es einen fatalen Fehler erzeugt.

    Fatal error: Declaration of Twig\Cache\FilesystemCache::generateKey(string $name, string $className): string must be compatible with Twig\Cache\CacheInterface::generateKey($name, $className) in /home/www/wordpress/wp-content/plugins/lightbox-photoswipe/vendor/twig/twig/src/Cache/FilesystemCache.php on line 32

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author Arno Welzel

    (@awelzel)

    Welche PHP-Version wird auf dem Server verwendet? Es muss mindestens PHP 7.4 verwendet werden. Ältere PHP-Versionen werden nicht mehr unterstützt.

    Thread Starter histameany

    (@histameany)

    Hallo Arno,

    vielen Dank für die schnelle Antwort. PHP ist 7.4. Der kritische Fehler trat sofort nach dem Update auf. Nach dem Deaktivieren des Plugins war der Fehler weg. Anschließend ließ sich das Plugin nicht mehr aktivieren und es kam oben beschriebene Fehlermeldung.

    LG Thomas

    Plugin Author Arno Welzel

    (@awelzel)

    Ja, dass der Fehler sofort nach dem Update auftritt, ist logisch – die neue Version benutzt Twig. Leider ergibt die Meldung gar keinen Sinn.

    Wird Twig in einer veralteten Version eventuell schon von anderen Plugins oder dem Theme eingesetzt?

    Thread Starter histameany

    (@histameany)

    Leider reichen dafür meine Kentnisse nicht aus. Wie kann ich das herausfinden?

    Zunächst wurde mir nach dem Update in Fehler mit dem Plugin Publish Press Authors angezeigt. Da aber dieses Plugin aber keine Upadte hatte, habe ich Lightbox with PhotoSwipe deaktiviert, Publish Press Authors wieder aktiviert und anschließend versucht Lightbox with PhotoSwipe wieder zu aktivieren. Dann trat der Fehler wieder auf. Es kann also schon im Zusammenhang mit Publish Press Authors stehen. Da von diesem Plugin aber kein Update durchgeführt wurde, wird der Fehler durch das Update von Lightbox with PhotoSwipe ausgelöst.

    Plugin Author Arno Welzel

    (@awelzel)

    Ja, Publish Press Authors nutzt ebenfalls Twig, aber wohl in einer alten Version.

    Ich versuche das so schnell wie möglich zu beheben, indem ich Twig und alle anderen Bibliotheken in einen privaten Namespace packe, damit es keine Konflikte mehr gibt.

    Plugin Author Arno Welzel

    (@awelzel)

    Können Sie mich bitte per E-Mail kontaktieren? Dann kann ich eine Testversion bereitstellen, bevor es ein offizielles Update gibt.

    Adresse siehe https://arnowelzel.de/ueber-mich

    Plugin Author Arno Welzel

    (@awelzel)

    Der Fehler sollte mit Version 4.0.3 behoben sein – ich habe die Nutzung von Twig aus dem Plugin wieder entfernt, da dies zu Konflikten führen kann.

    This error should be fixed with version 4.0.3 – I have removed using Twig in the plugin due to potential conflicts.

Viewing 7 replies - 1 through 7 (of 7 total)
  • You must be logged in to reply to this topic.